%define	oname	Solaar
%define _udevrulesdir /lib/udev/rules.d

Name:		solaar
Version:	1.1.10
Release:	%mkrel 1
License:	GPLv2
Summary:	Device manager for Logitech's Unifying Receiver
Url:		http://pwr.github.com/Solaar/
Group:		System/Kernel and hardware
Source0:	%{oname}-%{version}.tar.xz
Source1:    42-logitech-unify-permissions.rules
Patch0:		solaar-fix-udevrulesdir.patch
BuildArch:	noarch
BuildRequires: %{_lib}girepository-devel
Requires:	python3-pyudev
Requires:	python3-gobject3
Requires:   python3-psutil
Requires:   python3-yaml
Requires:  python3-evdev

%description
Solaar is a Linux device manager for Logitech’s Unifying Receiver
peripherals. It is able to pair/unpair devices to the receiver, and
for most devices read battery status.

It comes in two flavors, command-line and GUI. Both are able to list
the devices paired to a Unifying Receiver, show detailed info for
each device, and also pair/unpair supported devices with the receiver.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

# Correct Python interpreter path in all executables /usr/bin/env python -> /usr/bin/python3
grep -rl '#!/usr/bin/.*python' | xargs sed -i -e 's,^#!/usr/bin/.*python[2,3]\?,#!%{__python3},'

# create all translations files (solaar.mo) on ./share/locale
sh ./tools/po-compile.sh

%build
%py3_build

%install
%py3_install

mkdir -p %buildroot/lib/udev/rules.d
install -m 0644 %SOURCE1 %buildroot/lib/udev/rules.d/42-logitech-unify-permissions.rules

rm -rf %buildroot/usr/share/solaar/udev-rules.d
rm -rf %buildroot/usr/lib/udev/rules.d/42-logitech-unify-permissions.rules

%find_lang %{name}

%files -f %{name}.lang
%dir %{_datadir}/%{name}/
%dir %{python3_sitelib}/*
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_datadir}/%{name}/*
%{_iconsdir}/*/*/*/%{name}.svg
%{python3_sitelib}/%{name}-%{version}-py*.egg-info
%{python3_sitelib}/*/*
%config /lib/udev/rules.d/42-logitech-unify-permissions.rules
%{_datadir}/metainfo/io.github.pwr_solaar.solaar.metainfo.xml

%post
groupadd plugdev >/dev/null 2>&1
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
for idx in $SYSUSERS
do
usermod -a -G plugdev $idx >/dev/null 2>&1
done


%changelog
* Sun Sep 24 2023 tex - 1.1.10-1pclos2023
- new version

* Fri Apr 07 2023 tex - 1.1.9-1pclos2023
- new version

* Sun Dec 18 2022 tex - 1.1.8-1pclos2022
- new version

* Sat Nov 05 2022 tex - 1.1.7-1pclos2022
- new version

* Thu Sep 15 2022 tex - 1.1.5-1pclos2022
- new version

* Wed Aug 24 2022 tex - 1.1.4-1pclos2022
- new version

* Sat Oct 02 2021 tex - 1.0.7-1pclos2021
- new version

* Mon Apr 26 2021 tex - 1.0.6-1pclos2021
- new version

* Wed Mar 03 2021 tex - 1.0.5-2pclos2021
- req python3-yaml

* Sat Feb 27 2021 tex - 1.0.5-1pclos2021
- new version

* Fri Dec 04 2020 tex - 1.0.4-3pclos2020
- fix location 42-logitech-unify-permissions.rules file

* Thu Dec 03 2020 tex - 1.0.4-2pclos2020
- fix udev

* Fri Nov 20 2020 tex - 1.0.4-1pclos2020
- new version

* Mon May 25 2020 tex - 1.0.2-1pclos2020
- new version

* Fri Oct 04 2019 tex - 1.0.1-1pclos2019
- now python3

* Fri Mar 15 2019 tex - 0.9.2-2pclos2019
- rebuild against updates
- MODE="0660", GROUP="plugdev"

* Sun Jun 07 2015 bb <bb> 0.9.2-1pclos2015
- import into pclos
